@charset "utf-8";
@import url("variable.css");

/* =========================
* header
* ========================= */
header {
  position: absolute;
  inset: 0;
  inline-size: min(18.461vw, 240px);
  block-size: fit-content;
  padding-inline: var(--size-22) var(--size-28);
  padding-block: var(--size-18);
  border-radius: 0 0 var(--size-28) 0;
  background-color: var(--color-white);
  z-index: 999;
}

.header-logo a {
  display: grid;
}

@media (max-width: 767px) {
  header {
    inline-size: min(55vw, 220px);
    padding-inline: var(--size-18) var(--size-26);
    padding-block: var(--size-16);
  }
}

/* =========================
* hero
* ========================= */
.hero {
  position: relative;
}
.hero p {
  margin-block-start: calc(var(--size-25) * -1);
  text-align: center;
  font-size: var(--size-18);
  line-height: 2.055;
  letter-spacing: 0.05em;
  color: var(--color-primary);
}

.bg-cloud {
  position: absolute;
  inset: 0;
  pointer-events: none;
}
.cloud-item {
  position: absolute;
  inline-size: 6.53vw;
  block-size: 2.3vw;
  animation: floatCloud 8s ease-in-out infinite;
}
.cloud-01 {
  inset-block-start: 13.07vw;
  inset-inline-start: calc(3.07vw * -1);
  inline-size: 8.46vw;
  block-size: 2.69vw;
  animation-duration: 9s;
  animation-delay: 0s;
}
.cloud-02 {
  inset-block-start: 6.15vw;
  inset-inline-start: 7.69vw;
  animation-duration: 7.5s;
  animation-delay: -2s;
}
.cloud-03 {
  inset-block-start: 11.92vw;
  inset-inline-start: 27.69vw;
  animation-duration: 8.5s;
  animation-delay: -4s;
}
.cloud-04 {
  inset-block-start: 6.15vw;
  inset-inline-end: 6.15vw;
  animation-duration: 7s;
  animation-delay: -1s;
}
.cloud-05 {
  inset-block-start: 2.3vw;
  inset-inline-end: calc(3.84vw * -1);
  inline-size: 8.46vw;
  block-size: 2.69vw;
  animation-duration: 10s;
  animation-delay: -3.5s;
}

@media (max-width: 767px) {
  .hero p {
    inline-size: fit-content;
    margin-inline: auto;
    margin-block-start: var(--size-18);
    text-align: left;
  }

  .cloud-item {
    inline-size: 13.25vw;
    block-size: 4.75vw;
    animation-name: floatCloudSp;
    animation-duration: 7s;
  }
  .cloud-01 {
    inset-block-start: 20vw;
    inset-inline-start: 8.5vw;
    inline-size: 17vw;
    block-size: 5.25vw;
    animation-duration: 8s;
    animation-delay: 0s;
  }
  .cloud-02 {
    inset-block-start: 34.25vw;
    inset-inline-start: calc(4.5vw * -1);
    animation-duration: 6.5s;
    animation-delay: -1.5s;
  }
  .cloud-03 {
    inset-block-start: 51.25vw;
    inset-inline-start: 11.25vw;
    animation-duration: 7.5s;
    animation-delay: -3s;
  }
  .cloud-04 {
    inset-block-start: 22.5vw;
    inset-inline-end: 10vw;
    animation-duration: 6s;
    animation-delay: -0.5s;
  }
  .cloud-05 {
    inset-block-start: 10.5vw;
    inset-inline-end: calc(7vw * -1);
    inline-size: 17vw;
    block-size: 5.25vw;
    animation-duration: 9s;
    animation-delay: -2.5s;
  }
}

/* =========================
* education
* ========================= */
.education {
  position: relative;
  padding-block: var(--size-105) calc(var(--size-105) + var(--size-80));
  z-index: 1;
}
.education-wave {
  position: absolute;
  inset-block-start: 0;
  inline-size: 100%;
  block-size: var(--size-105);
}
.education-wave img {
  block-size: 100%;
}
.wave-bottom {
  inset-block-start: auto;
  inset-block-end: 0;
  block-size: calc(var(--size-105) + var(--size-80));
}
.wave-bottom img {
  block-size: 100%;
}
.education-bg {
  background-color: var(--color-white);
}

.education .content-inner {
  position: relative;
  padding-block-start: var(--size-84);
}
.education .content-inner::before {
  position: absolute;
  content: "";
  inset-inline-start: var(--size-60);
  inset-block-start: var(--size-24);
  inline-size: min(85.076vw, 1106px);
  block-size: min(7.461vw, 97px);
  background-image: url(../images/top/bg-icons01.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 0;
}
.education .content-inner.show::before {
  animation: fadeInBounceIcons 0.7s ease-out 1.3s forwards;
}

.education h2 {
  position: relative;
  margin-block-end: var(--size-120);
  text-align: center;
  color: var(--color-blue);
  font-size: var(--size-28);
  font-weight: 600;
  letter-spacing: 0.06em;
  z-index: 1;
}
.education h2::before {
  position: absolute;
  content: "";
  inset-inline-start: 50%;
  inset-block-start: 50%;
  transform: translate(-50%, -50%);
  inline-size: var(--size-180);
  block-size: var(--size-180);
  background-color: var(--color-yellow);
  border-radius: 50%;
  z-index: -1;
  opacity: 0;
}
.education h2.show::before {
  animation: fadeInBounceCircle 0.7s ease-out 0.5s forwards;
}

.education-list {
  display: flex;
  flex-wrap: wrap;
  gap: var(--size-40);
}
.education-list .list-item {
  inline-size: calc(50% - var(--size-40) / 2);
  border: 2px solid var(--color-primary);
  border-radius: var(--size-30);
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: opacity 0.7s ease-out 0.5s, visibility 0.7s ease-out 0.5s,
    transform 0.7s ease-out 0.5s;
}
.education-list .list-item.show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.education-list .list-item:first-child {
  inline-size: 100%;
}
.education-list .list-item h3 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--size-16);
  block-size: var(--size-80);
  font-size: var(--size-27);
  font-weight: 600;
  letter-spacing: 0.08em;
  color: var(--color-primary);
  background-color: var(--color-light-blue);
}
.education-list .list-item h3 .show-txt {
  aspect-ratio: 375 / 62;
  inline-size: min(28.846vw, 375px);
  background-image: url(../images/top/txt-label.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.education-list .list-item:first-child h3 img {
  inline-size: var(--size-41);
}
.education-list .list-item:nth-child(2) h3 img {
  inline-size: var(--size-45);
}
.education-item {
  display: flex;
  gap: var(--size-80);
  justify-content: center;
  block-size: calc(100% - var(--size-80));
  padding-block: var(--size-30) var(--size-50);
}
.education-list .education-item-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  inline-size: min(26.923vw, 350px);
}
.education-list .label {
  display: inline-block;
  padding-block: 5px 3px;
  padding-inline: var(--size-12);
  font-size: var(--size-14);
  font-weight: 500;
  letter-spacing: 0.04em;
  border-radius: var(--size-6);
  background-color: var(--color-yellow);
}
.education-list .description {
  font-weight: 500;
  font-size: var(--size-15);
  line-height: 1.4;
}
.education-list .education-item-content picture {
  display: grid;
}
.education-list .education-item-content .link-thumb {
  display: block;
  margin-block: var(--size-10) var(--size-15);
  overflow: hidden;
}
.education-list .education-item-content .link-thumb img {
  transition: transform 0.3s ease-in-out;
}
.education-list .education-item-content .link-thumb:hover img {
  transform: scale(1.15);
}

.initiative {
  margin-block-start: var(--size-80);
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: opacity 0.7s ease-out 0.5s, visibility 0.7s ease-out 0.5s,
    transform 0.7s ease-out 0.5s;
}
.initiative.show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.initiative h3 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--size-28);
  font-size: var(--size-21);
  font-weight: 600;
  letter-spacing: 0.06em;
  color: var(--color-blue);
}
.initiative h3 img {
  inline-size: var(--size-51);
  block-size: var(--size-44);
}
.initiative-item .btn-border.pc-only {
  aspect-ratio: 540 / 150;
  display: flex;
  align-items: center;
  inline-size: min(41.538vw, 540px);
  margin-block-start: var(--size-30);
  padding: 0;
  border-width: 2px;
  border-radius: var(--size-20);
  background-size: var(--size-30);
  background-position: right var(--size-30) center;
  overflow: hidden;
}
.initiative-item .btn-border.sp-only {
  display: none;
}
.initiative-item .btn-border .thumb {
  display: grid;
  aspect-ratio: 260 / 150;
  inline-size: min(20vw, 260px);
}
.initiative-item .btn-border .thumb img {
  inline-size: 100%;
  block-size: 100%;
  object-fit: cover;
}
.initiative-item .btn-border p {
  margin-inline-start: var(--size-50);
  font-size: var(--size-19);
  font-weight: 400;
  letter-spacing: 0.06em;
}

.education-illust {
  position: absolute;
  inset-inline-start: 50%;
  inset-block-end: calc(min(18.07vw, 235px) * -1);
  transform: translateX(-50%) rotateY(-270deg);
  inline-size: min(10.846vw, 141px);
  block-size: min(14.153vw, 184px);
  z-index: 1;
  opacity: 0;
  transition: transform 1s cubic-bezier(0.5, 1.71, 0.48, 0.61),
    opacity 1s ease-in-out,
    -webkit-transform 1s cubic-bezier(0.5, 1.71, 0.48, 0.61);
}
.education-illust.show {
  opacity: 1;
  transform: translateX(-50%) rotateY(0);
}

@media (max-width: 767px) {
  .education {
    padding-block: var(--size-70);
  }
  .education-bg {
    padding-block-end: calc(var(--size-100) + var(--size-40));
  }
  .education .content-inner {
    padding-block-start: var(--size-100);
  }
  .education .content-inner::before {
    inset-inline-start: var(--size-18);
    inset-block-start: var(--size-12);
    inline-size: min(88.25vw, 353px);
    block-size: min(48.25vw, 193px);
    background-image: url(../images/top/bg-icons01_sp.png);
  }

  .education h2 {
    margin-block-end: calc(var(--size-60) + var(--size-50));
    font-size: var(--size-26);
    letter-spacing: 0;
  }
  .education h2::before {
    inline-size: calc(var(--size-100) * 2);
    block-size: calc(var(--size-100) * 2);
  }

  .education-list {
    gap: var(--size-60);
  }
  .education-list .list-item {
    inline-size: 100%;
  }
  .education-list .list-item h3 {
    block-size: max(22.75vw, 91px);
    font-size: var(--size-23);
  }
  .education-list .list-item h3 .show-txt {
    aspect-ratio: 310 / 60;
    inline-size: min(77.5vw, 310px);
    background-image: url(../images/top/txt-label_sp.png);
  }
  .education-list .list-item:first-child h3 img {
    inline-size: var(--size-44);
  }
  .education-list .list-item:nth-child(2) h3 img {
    inline-size: var(--size-36);
  }
  .education-item {
    flex-direction: column;
    justify-content: flex-start;
    gap: var(--size-50);
    block-size: auto;
    padding: var(--size-40) var(--size-20);
  }
  .education-list .education-item-content {
    inline-size: 100%;
  }
  .education-list .label {
    font-size: var(--size-15);
  }
  .education-list .description {
    font-size: var(--size-16);
  }

  .education-wave {
    block-size: var(--size-70);
  }
  .education-wave img {
    block-size: 100%;
  }

  .initiative {
    margin-block-start: var(--size-60);
  }
  .initiative h3 {
    flex-direction: column;
    gap: var(--size-10);
    font-size: var(--size-19);
    text-align: center;
    line-height: 1.36;
  }
  .initiative-item {
    padding-inline: var(--size-25);
  }
  .initiative-item .btn-border.pc-only {
    display: none;
  }
  .initiative-item .sp-only {
    margin-block-start: var(--size-20);
  }
  .initiative-item .sp-only .thumb {
    aspect-ratio: 310 / 197;
    inline-size: 100%;
    border-radius: var(--size-20);
    overflow: hidden;
  }
  .initiative-item .sp-only .thumb img {
    inline-size: 100%;
    block-size: 100%;
    object-fit: cover;
  }
  .initiative-item .sp-only .btn-border {
    padding-block: var(--size-20) var(--size-17);
  }

  .education-illust {
    inset-block-end: calc(max(69.75vw, 279px) * -1);
    inline-size: max(35.25vw, 141px);
    block-size: max(46vw, 184px);
  }
}

/* =========================
* municipality
* ========================= */
.municipality {
  position: relative;
  margin-block-start: var(--size-80);
  padding-block: calc(var(--size-90) + var(--size-5))
    calc(var(--size-100) + var(--size-25));
}
.municipality-bg {
  background-color: var(--color-white);
}
.municipality-wave {
  position: absolute;
  inset-block-start: 0;
  inline-size: 100%;
  block-size: calc(var(--size-90) + var(--size-5));
}
.municipality-wave img {
  block-size: 100%;
}
.municipality-wave.wave-bottom {
  inset-block-start: auto;
  inset-block-end: 0;
  block-size: calc(var(--size-100) + var(--size-25));
}
.municipality-wave.wave-bottom img {
  block-size: 100%;
}

.municipality .content-inner {
  position: relative;
  padding-block-start: var(--size-88);
}
.municipality .content-inner::before {
  position: absolute;
  content: "";
  inset-inline-start: calc(var(--size-105) + var(--size-70));
  inset-block-start: var(--size-4);
  inline-size: min(77.769vw, 1011px);
  block-size: min(9.307vw, 121px);
  background-image: url(../images/top/bg-icons02.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 0;
}
.municipality .content-inner.show::before {
  animation: fadeInBounceIcons 0.7s ease-out 1.3s forwards;
}
.municipality h2 {
  position: relative;
  margin-block-end: min(8.076vw, 105px);
  text-align: center;
  font-size: var(--size-28);
  font-weight: 600;
  letter-spacing: 0.06em;
  color: var(--color-blue);
  z-index: 1;
}
.municipality h2::before {
  position: absolute;
  content: "";
  inset-inline-start: 50%;
  inset-block-start: 50%;
  transform: translate(-50%, -50%);
  inline-size: var(--size-180);
  block-size: var(--size-180);
  background-color: var(--color-light-blue-2);
  border-radius: 50%;
  z-index: -1;
  opacity: 0;
}
.municipality h2.show::before {
  animation: fadeInBounceCircle 0.7s ease-out 0.5s forwards;
}
.municipality p {
  text-align: center;
  font-size: var(--size-30);
  color: var(--color-primary);
}
.municipality-illust {
  inline-size: min(13.692vw, 178px);
  block-size: min(13.461vw, 175px);
  margin-inline: auto;
  margin-block-start: var(--size-16);
  transform: translateX(-15%) rotateY(-270deg);
  opacity: 0;
  transition: transform 1s cubic-bezier(0.5, 1.71, 0.48, 0.61),
    opacity 1s ease-in-out,
    -webkit-transform 1s cubic-bezier(0.5, 1.71, 0.48, 0.61);
}
.municipality-illust.show {
  opacity: 1;
  transform: translateX(-15%) rotateY(0);
}
.municipality-illust img {
  inline-size: 100%;
  block-size: 100%;
  object-fit: cover;
}

@media (max-width: 767px) {
  .municipality {
    padding-block: var(--size-70) var(--size-90);
  }
  .municipality .content-inner {
    padding-block: var(--size-100) var(--size-20);
  }
  .municipality .content-inner::before {
    inset-inline-start: var(--size-30);
    inset-block-start: var(--size-20);
    inline-size: min(80.5vw, 322px);
    block-size: min(53.5vw, 214px);
    background-image: url(../images/top/bg-icons02_sp.png);
  }
  .municipality p {
    font-size: var(--size-32);
    line-height: 1.34;
  }
  .municipality-illust {
    margin-block-start: calc(var(--size-12) + var(--size-23));
    inline-size: max(44.5vw, 178px);
    block-size: max(43.75vw, 175px);
    transform: translateX(0) rotateY(-270deg);
  }
  .municipality-illust.show {
    transform: translateX(0) rotateY(0);
  }
  .municipality-wave {
    block-size: var(--size-70);
  }
  .municipality-wave.wave-bottom {
    block-size: var(--size-90);
  }
  .municipality-wave.wave-bottom img {
    block-size: 100%;
  }
  .municipality h2 {
    margin-block-end: var(--size-100);
    font-size: var(--size-26);
    line-height: 1.42;
    letter-spacing: 0;
  }
  .municipality h2::before {
    inline-size: calc(var(--size-100) * 2);
    block-size: calc(var(--size-100) * 2);
  }
  .municipality-wave img {
    block-size: 100%;
  }
}

/* =========================
* footer
* ========================= */
footer {
  position: relative;
}
.page-top {
  position: absolute;
  inset-block-start: calc(var(--size-30) * -1);
  inset-inline-end: 3.846vw;
  inline-size: var(--size-76);
  block-size: var(--size-76);
}
.page-top a {
  aspect-ratio: 1 / 1;
  inline-size: var(--size-76);
  background-image: url(../images/top/img-pagetop.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  transition: background-image 0.3s ease-in-out;
}
.page-top a:hover {
  background-image: url(../images/top/img-pagetop_hov.png);
}
footer .content-inner {
  padding-block: var(--size-20) var(--size-50);
  padding-inline: var(--size-100);
}

.banner-list {
  display: flex;
  justify-content: center;
  gap: var(--size-20);
}
.banner-list .banner-item {
  inline-size: min(27.692vw, 360px);
}
.banner-list .banner-item a {
  aspect-ratio: 360 / 126;
  border: 1px solid #b7a19e;
  border-radius: var(--size-8);
  overflow: hidden;
}
.banner-list .banner-item:nth-child(2) a {
  border-color: #95a4d4;
}
.banner-list .banner-item a img {
  inline-size: 100%;
  block-size: 100%;
  object-fit: cover;
  transition: transform 0.3s ease-in-out;
}
.banner-list .banner-item a:hover img {
  transform: scale(1.15);
}

.footer-content {
  margin-block-start: var(--size-45);
  background-image: url(../images/top/img-illust03.png);
  background-size: min(26.71875vw, 342px) min(10.625vw, 136px);
  background-position: right bottom var(--size-40);
  background-repeat: no-repeat;
}
.footer-content .footer-logo {
  inline-size: calc(var(--size-100) + var(--size-50));
  margin-inline: auto;
}
.footer-content-item {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  margin-block-start: calc(var(--size-25) + var(--size-10));
}
.footer-content-item .footer-nav {
  display: flex;
  flex-direction: column;
  gap: calc(var(--size-25) + var(--size-10));
}
.footer-content-item .footer-nav ul {
  display: flex;
}
.footer-content-item .footer-nav ul li a {
  color: var(--color-primary);
}
.company-link {
  gap: var(--size-40);
}
.company-link a {
  display: flex;
  align-items: center;
  gap: var(--size-12);
}
.company-link a span {
  position: relative;
  overflow: hidden;
}
.company-link a span::before {
  position: absolute;
  content: "";
  inset-inline-start: 0;
  inset-block-end: 0;
  inline-size: 100%;
  block-size: 1px;
  background-color: var(--color-primary);
  transform: translateX(-100%);
  transition: transform 0.3s ease-in-out;
}
.company-link a:hover span::before {
  transform: translateX(0);
}
.company-link a img {
  inline-size: var(--size-14);
}
.content-link {
  gap: calc(var(--size-25) + var(--size-10));
}
.content-link a {
  position: relative;
  color: var(--color-brown);
  font-size: var(--size-13);
  letter-spacing: 0.02em;
  overflow: hidden;
}
.content-link a::before {
  position: absolute;
  content: "";
  inset-inline-start: 0;
  inset-block-end: 0;
  inline-size: 100%;
  block-size: 1px;
  background-color: var(--color-brown);
  transform: translateX(-100%);
  transition: transform 0.3s ease-in-out;
}
.content-link a:hover::before {
  transform: translateX(0);
}

.footer-content-item small {
  color: #815b55;
  font-size: var(--size-12);
  letter-spacing: 0.1em;
}

@media (max-width: 767px) {
  footer .content-inner {
    padding-block: var(--size-60);
    padding-inline: var(--size-30);
  }
  .banner-list {
    flex-direction: column;
  }
  .banner-list .banner-item,
  .banner-list .banner-item:last-child {
    inline-size: 100%;
  }
  .footer-content {
    margin-block-start: 0;
    padding-block-start: calc(var(--size-100) * 3 + var(--size-60));
    background-image: url(../images/top/img-illust03_sp.png);
    background-size: max(64vw, 240px) max(62.66vw, 235px);
    background-position: top calc(var(--size-14) + var(--size-30)) left
      var(--size-40);
  }
  .footer-content .footer-logo {
    display: grid;
    inline-size: max(33.5vw, 134px);
  }
  .footer-content-item {
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    margin-block-start: var(--size-50);
  }
  .footer-content-item .footer-nav {
    gap: var(--size-50);
  }
  .company-link {
    flex-direction: column;
    gap: var(--size-20);
  }
  .company-link a {
    gap: var(--size-10);
    font-size: var(--size-15);
  }
  .content-link {
    flex-wrap: wrap;
    gap: var(--size-10) var(--size-25);
  }
  .footer-content-item .footer-nav ul li:last-child {
    inline-size: 100%;
  }
  .footer-content-item .footer-nav ul li a {
    font-size: var(--size-14);
  }
  .footer-content-item small {
    margin-block-start: var(--size-20);
  }
  .page-top {
    inset-inline-end: var(--size-30);
    inset-block-start: auto;
    inset-block-end: calc(var(--size-100) * 4 + var(--size-10));
  }
}
